Subject: Re: [PATCH v2] git-clone: Add option --branch to override initial branch

From: Miles Bader <[email-masked]>
Date: Thu, 12 Mar 2009 13:18:49 +0900

Paolo Ciarrocchi <[email-masked]> writes:
> $ git clone -n URL
> $ git checkout -b foo origin/bar
>
> That being said, I see the following command as an improvement over
> the actual GIT UI:
>
>  $ git clone git://URI -b bar

Note that in your original advice, foo and bar can be different, and
it's not clear to me what "-b bar" should do...

Personally I frequently use foo == bar (no local master branch), but I
think another common pattern is foo != bar, but foo or bar == "master".

Maybe a syntax similar to push, like "-b LOCAL_BR:REMOTE_BR",
with "-b BR" being shorthand for "-b BR:BR"?

-Miles

-- 
Happiness, n. An agreeable sensation arising from contemplating the misery of
another.